Ppmmake User Manual(0)

NAME
ppmmake - create a PPM image of a specified color and dimensions

SYNOPSIS
ppmmake [-maxval=maxval] color width height

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or an equals sign between an option name and its value.

DESCRIPTION

This program is part of Netpbm(1) .

ppmmake produces a PPM image of the specified color, width, height, and maxval.

Specify the color (color) as described for the argument of the pnm_parsecolor() library routine (libnetpbm_image.html#colorname) .

EXAMPLES
    ppmmake red 50 50
    ppmmake rgb:ff/80/80 50 100 -maxval=5

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), ppmmake recognizes the following command line option:

-maxval=maxval
         The maxval for the generated image. Default is 255.

         This option did not exist before June 2002. Before, the maxval was
         always 255.

SEE ALSO
pbmmake(1) , pgmmake(1) , ppmpat(1) , ppm(1)

AUTHOR
Copyright (C) 1991 by Jef Poskanzer.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/ppmmake.html